package cn.com.ty.lift.ud.pay.service;

import java.util.Map;

import cn.com.ty.lift.ud.pay.controller.req.PassbackParamsDTO;
import cn.com.ty.lift.ud.pay.controller.req.PayDTO;
import cn.com.xwy.boot.web.dto.RestResponse;

public interface AlipayService {

    /**
     * 支付
     * @param payDto
     * @return
     */
    RestResponse alipay(PayDTO payDto);
    
    /**
     * 支付宝支付回调
     * @param params
     */
    String alipayNotify(Map<String, String> params);

    void toVIPPaymentComplete(Long vipFeeSetting, Long userId, String tradeNo, String totalAmount);

    void videoPaymentComplete(Long videoId, Long userId, String tradeNo, String totalAmount, Integer i);

    void questionPaymentComplete(Long questionId, Long userId, String tradeNo, String totalAmount, Integer i);

    void zfbCallPaymentComplete(String outTradeNo, String totalAmount, String tradeNo);

    void rechargePay(String outTradeNo, String totalAmount, String tradeNo, PassbackParamsDTO dto);

    void zfbCasePaymentComplete(String outTradeNo, String totalAmount, String tradeNo);

    void yeCasePaymentComplete(String orders, String s, String billId, Long userId);

    void yeCallPaymentComplete(String orders, String s, String billId, Long userId);
}
